/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/
#include "Atom_Classical.h"

//!Default constructor.
Atom_Classical::Atom_Classical() 
{	
	unsigned short bla = data_double_size;
	do
	{
		bla--;
		data_double[bla] = 0.0;
	}while(bla);
	
	bla = data_unsigned_short_size;
	do
	{
		bla--;
		data_unsigned_short[bla] = 0;
	}while(bla);
}

Atom_Classical::~Atom_Classical()
{
}

//Overloading the = operator in order to facilitate the cloning of Atom_Classicals.
Atom_Classical& Atom_Classical::operator=(Atom_Classical& other)
{
	//Copying Atom's internal data:
	unsigned short bla = data_double_size;
	do
	{
		bla--;
		data_double[bla] = other.data_double[bla];
	}while(bla);
	
	bla = data_unsigned_short_size;
	do
	{
		bla--;
		data_unsigned_short[bla] = other.data_unsigned_short[bla];
	}while(bla);

	//Copying Enumerable_Object's data:
	Enumerable_Object *Enumerable_Object_ptr1 = this;
	Enumerable_Object *Enumerable_Object_ptr2 = &other;
	*Enumerable_Object_ptr1 = *Enumerable_Object_ptr2;

	return *this;
} 

//!Returns the atom's position point.
Point Atom_Classical::posi()
{
	Point p(data_double[0], data_double[1], data_double[2]  );
	return p;
}
