/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/
#ifndef BOX_H
#define BOX_H
#include <math.h>
#include "Point.h"
/**
This class defines a square box.
*/
class Box{
public:
    //!Default Constructor.
    Box();
    //!Constructor that alredy initializes the box data.
	Box(Point*, Point*);
	//!Default destructor.
    virtual ~Box();
	//Operator overload of the = operator for the box class.
	Box& operator=(Box&);
	//!Operator overload. The '<<' operator returns a string containing this objects's data in a way ready to be used with cout.
	friend std::ostream &operator<<( std::ostream &, const Box & );
    //!Defines the box size.
	void set_size(Point*, Point*);
	//!Defines the box size. The arguments are: lx, ly, lz, hx, hy, hz.
	void set_size(double, double, double, double, double, double);
	//!Returns the box lenght in the x direction.
	double length_x(){return data[6];};

private:
	//!Updates the box internal data when something has changed, and checks for possible errors.
	void update_box_data();

	//Size of data vector:
	static const unsigned short data_size = 12;	
	double data[data_size];
	//The data table is below:
	//data[0] = lx
	//data[1] = ly
	//data[2] = lz
	//data[3] = hx
	//data[4] = hy
	//data[5] = hz
	//data[6] = lengthx
	//data[7] = lengthy	
	//data[8] = lengthz
	//data[9] = centerx
	//data[10] = centery
	//data[11] = centerz
};

#endif
