/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/
#include "Point.h"

Point::Point()
{
	data[0] = data[1] = data[2] = 0.0;
}
//!This constructor receives the point's x, y and z coordinates, in this order.
Point::Point(double a, double b, double c)
{
	data[0] = a;
	data[1] = b;
	data[2] = c;
}

Point::~Point()
{
}

//!Overloading of the = operator. It's used to copy the contents of one point to the other.
Point& Point::operator=(Point& otherpoint)
{
	data[0] = otherpoint.x();
	data[1] = otherpoint.y();
	data[2] = otherpoint.z();
	return *this;
}

//!Operator overload. The '<<' operator returns a string containing this pointer's data in a way ready to be used with cout.
std::ostream& operator<<( std::ostream &output, const Point &p )
{
	output << "[" << p.data[0] << "," << p.data[1] << "," << p.data[2] << "]";
	return output;
}
