/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/

#include "Potential.h"

Potential::Potential()
{
}

Potential::~Potential()
{
}

//!Returns the distance between two points in the X direction, considering periodic boundary conditions.
double Potential::distance_x(Point *a, Point *b)
{
	double naturaldistance = a->x() - b->x();
	double boxdistance;

	if (a->x() < b->x())
		boxdistance = naturaldistance + simulation_box->length_x();
	else
		boxdistance = naturaldistance - simulation_box->length_x();

	if ( fabs(naturaldistance) < fabs(boxdistance) )
		return naturaldistance;
	else
		return boxdistance;
}	
