/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/
#ifndef POTENTIAL_OPENMX_H_
#define POTENTIAL_OPENMX_H_
#include "Potential.h"
#include <string>
#include <iostream>
#include <sstream>
#include <vector>
#include <list>

using namespace std;

/* This class wraps mss info and calls openmx to perform electronic structure calculations. */
class Potential_Openmx : public Potential
{
public:
	Potential_Openmx();
	virtual ~Potential_Openmx();
	
	//!For a given atom and a list of neighbours, calculates the atom's force.
	Point calc_atom_forc(Atom_Classical*, std::list<Atom_Classical*>* );
};

#endif /*POTENTIAL_OPENMX_H_*/
