/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <cstdlib>
#include <iomanip>
#include <iostream>
#include "Box.h"
#include "Potential_Openmx.h"

using namespace std;

//!The main function parses the command-line arguments and takes action as necessary.
int main(int argc, char *argv[])
{
	//Let's create a simulation box:
	Point b1(-0.5,-0.5,-0.5);
	Point b2(4.5, 4.5, 4.5);
	Box box(&b1, &b2);
	
	//Now let's allocate a Potential_OpenMX object
	Potential_Openmx potential;
	potential.set_simulation_box(&box);
	
	//Now we'll create a list of Atom_Classicals, along with a list of pointers to them:
	std::list<Atom_Classical> atoms;
	std::list<Atom_Classical *> atm_ptr_list;
	Atom_Classical atm;
	unsigned int i = 5;
	do
	{
		i--;
		atm.set_x(i);
		atm.set_id(i + 1);
		atoms.push_back(atm);
		std::list<Atom_Classical>::iterator a = atoms.end();
		a--;
		atm_ptr_list.push_back( &(*a) );
	}while(i);
	
	//Now we'll call the problematic routine:
	potential.calc_atom_forc( &atm , &atm_ptr_list );
	
}
